
/* DEMO640.C   EOUE Project, 1997 by Michael Mangelsdorf */
/* THIS FILE IS PUBLIC DOMAIN.
   LEAVE THIS MESSAGE IN PLACE AS COURTESY TO THE AUTHOR */

#include "eoue.h"

unsigned jstring[40];

		      /* These are pre-defined strings of
			 Japanese characters, accessible
			 from your code via the function
			 resource(n). The array has been
			 generated automagically by EOUE's
			 JIS2C.EXE from a JIS-file.
		      */
unsigned j_resource [] = {
     0x242B,0x244A,0x2448,0x3441,0x3B7A,0x0000,0x2551,0x253D,
     0x2533,0x2573,0x2447,0x3B48,0x2424,0x3042,0x2424,0x0000,
     0x4E29,0x2446,0x3D71,0x242D,0x0000,0x2462,0x3D50,0x4D68,
     0x245E,0x2439,0x0000,0xFFFF
     };


void main (void) {
  unsigned i,j;
   if (eoue_init()) return 0;

   jtext=j_resource;  /* If you forget this, resource() will not
			 find your resource string !!*/

    fixprint ("Press any key to begin",10,10,1);
    eoue_pageflip(); getch();  eoue_clrscr();

    fixprint ("Hello world.",1,1,1);
    fixprint ("A tiny demonstration of this new 640x480x4 mode",1,2,1);
    fixprint ("that EOUE is now capable of...",1,3,1);
    fixprint ("As before, you can display kana and kanji",1,5,2);
    fixprint ("just as easily as printing a string in C:",1,6,2);

    kanatransl ("korehaKATAKANAne",jstring);
    jprint(jstring,1,8,1);

    fixprint ("Of course, tategaki() is still present:",1,10,2);
    tategaki(resource(3,jstring),42,12,1);
    tategaki(resource(4,jstring),40,12,1);

    fixprint ("The program works with two display pages, even in",1,19,3);
    fixprint ("mode 12h - this is done by carefully assigning",1,20,3);
    fixprint ("a new palette, so that display can be switched",1,21,3);
    fixprint ("instantaneously between plane 0/1 and plane 2/3",1,22,3);
    fixprint ("by using the color plane enable register!",1,23,3);

    fixprint ("Wow - that paragraph was *dark*.",1,25,1);

    fixprint ("Colours can be changed by re-assigning the palette.",1,26,2);
    fixprint ("But that's all, folks...  PLEASE PRESS A KEY",1,27,1);

    kanatransl ("sayounara",jstring);
    jprint(jstring,55,26,3);

    eoue_pageflip(); getch();
    for (i=0;i<32;i++) eoue_modify_color(3,16+i,16+i,16+i);
    getch();

   eoue_exit();
}

