
/* initexit.c (HRES320)

   EOUE Project, 1997 by Michael Mangelsdorf
   THIS FILE IS PUBLIC DOMAIN.
   LEAVE THIS MESSAGE IN PLACE AS COURTESY TO THE AUTHOR
*/

#include <dos.h>

typedef unsigned char  byte;

unsigned eoue_dosmemseg; /* segment handle for internal font-memory */
extern byte *joyo_font, *kana_font; /* pointer to first character bitmap */

extern byte loadfnt (void);
extern byte dosalloc (unsigned paragraphs, unsigned *dosmemseg);
extern byte dosdealloc (unsigned dosmemseg);


/* Successful function returns 0.
*/
byte eoue_init (void) {
  union REGS r;
   libermem();
   eoue_setgr(1);
   return 0;                    /*increments effective address by 64k*/
}

byte eoue_exit (void) {
  union REGS r;                 /* blacken display */
   r.h.ah=0x12; r.h.bl=0x36; r.h.al=1; int86(0x10,&r,&r);
   eoue_setgr(0);                  /* enable display */
   r.h.ah=0x12; r.h.bl=0x36; r.h.al=0; int86(0x10,&r,&r);
   return dosdealloc(eoue_dosmemseg);
}


